App::Sqitch::Command::bundle(3pm)

Name
App::Sqitch::Command::bundle - Bundle Sqitch changes for distribution

Synopsis
  my $cmd = App::Sqitch::Command::bundle->new(%params);
  $cmd->execute;

Description
Bundles a Sqitch project for distribution. Done by creating a new directory and copying the configuration file, plan file, and change files into it.

Interface

  Attributes
"from"

Change from which to build the bundled plan.

"to"

Change up to which to build the bundled plan.

"all"

Boolean indicating whether or not to run the command against all plans in the project.

  Instance Methods
"execute"

  $bundle->execute($command);

Executes the "bundle" command.

"bundle_config"

 $bundle->bundle_config;

Copies the configuration file to the bundle directory.

"bundle_plan"

 $bundle->bundle_plan($target);

Copies the plan file for the specified target to the bundle directory.

"bundle_scripts"

 $bundle->bundle_scripts($target);

Copies the deploy, revert, and verify scripts for each step in the plan for the specified target to the bundle directory. Files in the script directories that do not correspond to changes in the plan will not be copied.

"dest_top_dir"

  my $top_dir = $bundle->top_dir($target);

Returns the destination top directory for the specified target.

"dest_dirs_for"

  my $dirs = $bundle->dest__dirs_for($target);

Returns a hash of change script destination directories for the specified target. The keys are the types of scripts, and include:

"deploy"
"revert"
"verfiy"
"reworked_deploy"
"reworked_revert"
"reworked_verfiy"

See Also

sqitch-bundle
    Documentation for the "bundle" command to the Sqitch command-line client.

sqitch
    The Sqitch command-line client.

Author
David E. Wheeler <david@justatheory.com>

License
Copyright (c) 2012-2026 David E. Wheeler, 2012-2021 iovation Inc.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.